﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Activities;

namespace Basics
{
    public class ProcFilter : CodeActivity
    {
        public InArgument<System.Diagnostics.Process> Proc { get; set; }
        public OutArgument<bool> Match { get; set; }

        protected override void Execute(CodeActivityContext context)
        {
            ProcessTest processTest = context.GetExtension<ProcessTest>();

           
            bool isMatch = processTest.IsMatch(Proc.Get(context));

            Match.Set(context, isMatch);
        }
    }
}


